"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.acessarSintegra = void 0;
const estados_1 = __importDefault(require("./utils/estados"));
const requestValidation_1 = require("./utils/requestValidation");
async function acessarSintegra(cnpj, estado) {
    requestValidation_1.validateEstado(estado);
    requestValidation_1.validateCnpj(cnpj);
    try {
        estado = estado.toUpperCase();
        switch (estado) {
            case estados_1.default.SAO_PAULO.sigla:
                const sintegraSP = await Promise.resolve().then(() => __importStar(require("./sintegra/sintegraSP")));
                return sintegraSP.accessSintegra(cnpj);
            case estados_1.default.ACRE.sigla:
                throw new Error("Não há suporte ao Acre");
            case estados_1.default.ALAGOAS.sigla:
                throw new Error("Não há suporte ao Alagoas");
            case estados_1.default.AMAPA.sigla:
                throw new Error("Não há suporte ao Amapa");
            case estados_1.default.AMAZONAS.sigla:
                throw new Error("Não há suporte ao Amazonas");
            case estados_1.default.BAHIA.sigla:
                throw new Error("Não há suporte ao Bahia");
            case estados_1.default.CEARA.sigla:
                throw new Error("Não há suporte ao Ceara");
            case estados_1.default.DISTRITO_FEDERAL.sigla:
                throw new Error("Não há suporte ao Distrito Federal");
            case estados_1.default.ESPIRITO_SANTO.sigla:
                throw new Error("Não há suporte ao Espirito Santo");
            case estados_1.default.GOIAS.sigla:
                throw new Error("Não há suporte ao Goias");
            case estados_1.default.MARANHAO.sigla:
                throw new Error("Não há suporte ao Maranhao");
            case estados_1.default.MATO_GROSSO.sigla:
                throw new Error("Não há suporte ao Mato Grosso");
            case estados_1.default.MATO_GROSSO_DO_SUL.sigla:
                throw new Error("Não há suporte ao Mato Grosso do Sul");
            case estados_1.default.MINAS_GERAIS.sigla:
                throw new Error("Não há suporte ao Minas Gerais");
            case estados_1.default.PARA.sigla:
                throw new Error("Não há suporte ao Para");
            case estados_1.default.PARAIBA.sigla:
                throw new Error("Não há suporte ao Paraiba");
            case estados_1.default.PARANA.sigla:
                throw new Error("Não há suporte ao Parana");
            case estados_1.default.PERNAMBUCO.sigla:
                throw new Error("Não há suporte ao Pernambuco");
            case estados_1.default.PIAUI.sigla:
                throw new Error("Não há suporte ao Piaui");
            case estados_1.default.RIO_DE_JANEIRO.sigla:
                throw new Error("Não há suporte ao Rio de Janeiro");
            case estados_1.default.RIO_GRANDE_DO_NORTE.sigla:
                throw new Error("Não há suporte ao Rio Grande do Norte");
            case estados_1.default.RIO_GRANDE_DO_SUL.sigla:
                throw new Error("Não há suporte ao Rio Grande do Sul");
            case estados_1.default.RONDONIA.sigla:
                throw new Error("Não há suporte ao Rondonia");
            case estados_1.default.RORAIMA.sigla:
                throw new Error("Não há suporte ao Roraima");
            case estados_1.default.SANTA_CATARINA.sigla:
                throw new Error("Não há suporte ao Santa Catarina");
            case estados_1.default.SERGIPE.sigla:
                throw new Error("Não há suporte ao Sergipe");
            case estados_1.default.TOCANTINS.sigla:
                throw new Error("Não há suporte ao Tocantins");
            default:
                return null;
        }
    }
    catch (err) {
        throw err;
    }
}
exports.acessarSintegra = acessarSintegra;
//# sourceMappingURL=index.js.map